﻿namespace EDPlayerJournal.Entries; 

public class FactionKillBondEntry : Entry {
    public int Reward { get; set; }
    public string? AwardingFaction { get; set; }
    public string? VictimFaction { get; set; }

    protected override void Initialise() {
        Reward = JSON.Value<int?>("Reward") ?? 0;
        AwardingFaction = JSON.Value<string>("AwardingFaction");
        VictimFaction = JSON.Value<string>("VictimFaction");
    }
}
